using GameDev.CoreSystems;
using UnityEngine;

namespace AsteroidGame.ScriptableObjects
{
    [CreateAssetMenu(fileName = "newTargeterConfiguration", menuName = "Configuration/Targeter")]
    public class SoTargeterConfig : ScriptableObject
    {
        public float _range;
        public TargetStrategy _selectedTargetStrategy;
        public SoTargetableRuntimeSet _activeEntities;

        public enum TargetStrategy
        {
            LowestRange,
            LowestHealth
        };
    }
}